MLflow models
Get Logged Model
GET
/
api
/
2.0
/
mlflow
/
logged-models
/
{model_id}
Get Logged Model
curl --request GET \
--url https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}import requests
url = "https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"model": {
"info": {
"model_id": "logged_model_12345",
"experiment_id": "exp_001",
"name": "my_awesome_model",
"creation_timestamp_ms": 1678886400000,
"last_updated_timestamp_ms": 1678887000000,
"artifact_uri": "s3://my-bucket/models/my_awesome_model",
"status": "LOGGED_MODEL_STATUS_UNSPECIFIED",
"creator_id": 12345,
"model_type": "Classifier",
"source_run_id": "run_abcd1234efgh5678",
"status_message": "Model successfully logged.",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"registrations": [
{
"name": "<string>",
"version": "<string>"
}
]
},
"data": {
"params": [
{
"key": "<string>",
"value": "<string>"
}
],
"metrics": [
{
"key": "<string>",
"step": "0",
"timestamp": 123,
"value": 123
}
]
}
}
}Path Parameters
The ID of the LoggedModel to retrieve.
Response
200 - application/json
Successful response
Response body for retrieving a logged model.
A LoggedModel message includes logged model attributes, tags, registration info, params, and linked run metrics.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get Logged Model
curl --request GET \
--url https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}import requests
url = "https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/2.0/mlflow/logged-models/{model_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"model": {
"info": {
"model_id": "logged_model_12345",
"experiment_id": "exp_001",
"name": "my_awesome_model",
"creation_timestamp_ms": 1678886400000,
"last_updated_timestamp_ms": 1678887000000,
"artifact_uri": "s3://my-bucket/models/my_awesome_model",
"status": "LOGGED_MODEL_STATUS_UNSPECIFIED",
"creator_id": 12345,
"model_type": "Classifier",
"source_run_id": "run_abcd1234efgh5678",
"status_message": "Model successfully logged.",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"registrations": [
{
"name": "<string>",
"version": "<string>"
}
]
},
"data": {
"params": [
{
"key": "<string>",
"value": "<string>"
}
],
"metrics": [
{
"key": "<string>",
"step": "0",
"timestamp": 123,
"value": 123
}
]
}
}
}